
QGIS Application - Bug report #7228

Incorrect return on boundingbox one-liner

2013-02-24 01:37 AM - dr -

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 16259

Description

    -  Open vector layer;

    -  Select any features;

    -  Run python console and try to perfom the following command:

  >>>geom = qgis.utils.iface.activeLayer().selectedFeatures()[0].geometry()

  >>>geom.boundingBox().asPolygon()

Sometimes QGIS crashes but sometimes returns strange result PyQt4.QtCore.QString(u'0.00000000 0.00000000, 0.00000000

0.00000000, 0.00000000 0.00000000, 0.00000000 0.00000000, 0.00000000 0.00000000')

Related issues:

Duplicates QGIS Application - Bug report # 777: crashes with python reference... Closed

History

#1 - 2013-02-24 01:41 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this a regression since 1.8?

#2 - 2013-02-24 02:19 AM - Salvatore Larosa

it seems related to #777, although I don't get any crash !

This workaround avoid the problem;

ft = iface.activeLayer().selectedFeatures()

ft[0].geometry().boundingBox().asPolygon()

No regression here !

#3 - 2013-02-24 03:18 AM - dr -

Salvatore Larosa wrote:

This workaround avoid the problem;
Known workaround. But it is not clear why one-line approach doesn't work.

#4 - 2013-02-24 03:26 AM - Salvatore Larosa

dr - wrote:

Known workaround. But it is not clear why one-line approach doesn't work.

I think the comment nr1 of the above issue mentioned could be a reason !

#5 - 2013-11-21 03:51 AM - Matthias Kuhn

- Resolution set to duplicate

- Status changed from Feedback to Closed
